import configdata from './config'
import cache from './cache'
import { encrypt,
		 decrypt,
		 urlSafeBase64Decode,
		 urlSafeBase64Encode } from '@/utils/cryptojs.js';
var ifShangxian=1//1线上，0线下
module.exports = {
	config: function(name) {
		var info = null;
		if (name) {
			var name2 = name.split("."); //字符分割
			if (name2.length > 1) {
				info = configdata[name2[0]][name2[1]] || null;
			} else {
				info = configdata[name] || null;
			}
			if (info == null) {
				let web_config = cache.get("web_config");
				if (web_config) {
					if (name2.length > 1) {
						info = web_config[name2[0]][name2[1]] || null;
					} else {
						info = web_config[name] || null;
					}
				}
			}
		}
		return info;
	},
	put: function(url, data, header) {
		if(ifShangxian==1){
			if(data){
				var arr =Object.entries(data)//对象转为数组
				var b=[]
				arr.forEach((element, index) => {  
					arr[index][1] = urlSafeBase64Encode(encrypt(element[1].toString()))
				}); 
				b=arr
				data=Object.fromEntries(b)
			}else{
			}
		}
		header = header || "application/x-www-form-urlencoded";
		url = this.config("APIHOST") + url;
		let token = uni.getStorageSync("shopToken");
		// let token = 'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzUxMiJ9.eyJzdWIiOiIxMzMwIiwiaWF0IjoxNjQzMTAyNTcyLCJleHAiOjE2NDU2OTQ1NzJ9.UJhS7Nmj495d-CfCNm9VTenuwxV0z4J8Vl9CAlftXt89zrmQtebXDLmS8f25l8He_dnTUxAfjlKVWSsyYnKs6A'
		return new Promise((succ, error) => {
			uni.request({
				url: url,
				data: data,
				method: "PUT",
				header: {
					"content-type": header,
					"token": token
				},
				success: function(result) {
					if(ifShangxian==1){
						const decryptData =decrypt(urlSafeBase64Decode(result.data))
						result.data=JSON.parse(decryptData)
					}
					
					if (result.data.code == 401 && token) {
						uni.removeStorageSync("token")
						uni.removeStorageSync("userId")
						uni.removeStorageSync("phone")
						uni.removeStorageSync("openid")
						uni.removeStorageSync("userName")
						uni.removeStorageSync("relation")
						uni.removeStorageSync("relation_id")
						uni.removeStorageSync("isInvitation")
						uni.removeStorageSync("zhiFuBao")
						uni.removeStorageSync("zhiFuBaoName")
	
						uni.showModal({
							title: '提示',
							content: '用户信息失效，请重新登录！',
							showCancel: false, // 是否显示取消按钮，默认为 true // 是否显示取消按钮，默认为 true
							success: function(res) {
								if (res.confirm) {
									uni.redirectTo({
										url: '/pages/my/loginphone'
									})
								}
							}
						});
	
					}
					succ.call(self, result.data)
				},
				fail: function(e) {
					error.call(self, e)
				}
			})
		})
	},
	post: function(url, data, header) {
		if(ifShangxian==1){
			if(data){
				var arr =Object.entries(data)//对象转为数组
				var b=[]
				arr.forEach((element, index) => {  
					arr[index][1] = urlSafeBase64Encode(encrypt(element[1].toString()))
				}); 
				b=arr
				data=Object.fromEntries(b)
			}else{
			}
		}
		
		header = header || "application/x-www-form-urlencoded";
		url = this.config("APIHOST") + url;
		let token = uni.getStorageSync("shopToken");
		// let token = 'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzUxMiJ9.eyJzdWIiOiIxMzMwIiwiaWF0IjoxNjQzMTAyNTcyLCJleHAiOjE2NDU2OTQ1NzJ9.UJhS7Nmj495d-CfCNm9VTenuwxV0z4J8Vl9CAlftXt89zrmQtebXDLmS8f25l8He_dnTUxAfjlKVWSsyYnKs6A'
		return new Promise((succ, error) => {
			uni.request({
				url: url,
				data: data,
				method: "POST",
				header: {
					"content-type": header,
					"token": token
				},
				success: function(result) {
					if(ifShangxian==1){
						const decryptData =decrypt(urlSafeBase64Decode(result.data))
						result.data=JSON.parse(decryptData)
					}
					
					if (result.data.code == 401 && token) {
						uni.removeStorageSync("token")
						uni.removeStorageSync("userId")
						uni.removeStorageSync("phone")
						uni.removeStorageSync("openid")
						uni.removeStorageSync("userName")
						uni.removeStorageSync("relation")
						uni.removeStorageSync("relation_id")
						uni.removeStorageSync("isInvitation")
						uni.removeStorageSync("zhiFuBao")
						uni.removeStorageSync("zhiFuBaoName")

						uni.showModal({
							title: '提示',
							content: '用户信息失效，请重新登录！',
							showCancel: false, // 是否显示取消按钮，默认为 true // 是否显示取消按钮，默认为 true
							success: function(res) {
								if (res.confirm) {
									uni.redirectTo({
										url: '/pages/my/loginphone'
									})
								}
							}
						});

					}
					succ.call(self, result.data)
				},
				fail: function(e) {
					error.call(self, e)
				}
			})
		})
	},
	postT: function(url, data, header) {
		if(ifShangxian==1){
			if(data){
				var arr =Object.entries(data)//对象转为数组
				var b=[]
				arr.forEach((element, index) => {  
					arr[index][1] = urlSafeBase64Encode(encrypt(element[1].toString()))
				}); 
				b=arr
				data=Object.fromEntries(b)
			}else{
			}
		}
		header = header || "application/x-www-form-urlencoded";
		url = this.config("APIHOST1") + url;
		let token = uni.getStorageSync("shopToken");
		if (token) {
			return new Promise((succ, error) => {
				uni.request({
					url: url,
					data: data,
					method: "POST",
					header: {
						"content-type": header,
						"token": token
					},
					success: function(result) {
						if(ifShangxian==1){
							const decryptData =decrypt(urlSafeBase64Decode(result.data))
							result.data=JSON.parse(decryptData)
						}
						if (result.data.code == 401 && token) {
							uni.removeStorageSync("token")
							uni.removeStorageSync("userId")
							uni.removeStorageSync("phone")
							uni.removeStorageSync("openid")
							uni.removeStorageSync("userName")
							uni.removeStorageSync("relation")
							uni.removeStorageSync("relation_id")
							uni.removeStorageSync("isInvitation")
							uni.removeStorageSync("zhiFuBao")
							uni.removeStorageSync("zhiFuBaoName")

							uni.showModal({
								title: '提示',
								content: '用户信息失效，请重新登录！',
								showCancel: false, // 是否显示取消按钮，默认为 true
								success: function(res) {
									if (res.confirm) {
										uni.redirectTo({
											url: '/pages/my/loginphone'
										})
									}
								}
							});
						}
						succ.call(self, result.data)
					},
					fail: function(e) {
						error.call(self, e)
					}
				})
			})
		} else {
			return new Promise((succ, error) => {
				uni.request({
					url: url,
					data: data,
					method: "POST",
					header: {
						"content-type": header,
					},
					success: function(result) {
						if(ifShangxian==1){
							const decryptData =decrypt(urlSafeBase64Decode(result.data))
							result.data=JSON.parse(decryptData)
						}
						succ.call(self, result.data)
					},
					fail: function(e) {
						error.call(self, e)
					}
				})
			})
		}
	},
	postJson: function(url, data, header) {
		if(ifShangxian==1){
			if(data){
				var a=JSON.stringify(data)
				data='"' + urlSafeBase64Encode(encrypt(a)) + '"'
			}else{
			}
		}
		
		header = header || "application/json";
		url = this.config("APIHOST1") + url;
		let token = uni.getStorageSync("shopToken");
		if (token) {
			return new Promise((succ, error) => {
				uni.request({
					url: url,
					data: data,
					method: "POST",
					header: {
						"content-type": header,
						"token": token
					},
					success: function(result) {
						if(ifShangxian==1){
							const decryptData =decrypt(urlSafeBase64Decode(result.data))
							result.data=JSON.parse(decryptData)
						}
						if (result.data.code == 401 && token) {
							uni.removeStorageSync("token")
							uni.removeStorageSync("userId")
							uni.removeStorageSync("phone")
							uni.removeStorageSync("openid")
							uni.removeStorageSync("userName")
							uni.removeStorageSync("relation")
							uni.removeStorageSync("relation_id")
							uni.removeStorageSync("isInvitation")
							uni.removeStorageSync("zhiFuBao")
							uni.removeStorageSync("zhiFuBaoName")

							uni.showModal({
								title: '提示',
								content: '用户信息失效，请重新登录！',
								showCancel: false, // 是否显示取消按钮，默认为 true
								success: function(res) {
									if (res.confirm) {
										uni.redirectTo({
											url: '/pages/my/loginphone'
										})
									}
								}
							});
						}
						succ.call(self, result.data)
					},
					fail: function(e) {
						error.call(self, e)
					}
				})
			})
		} else {
			return new Promise((succ, error) => {
				uni.request({
					url: url,
					data: data,
					method: "POST",
					header: {
						"content-type": header,
					},
					success: function(result) {
						if(ifShangxian==1){
							const decryptData =decrypt(urlSafeBase64Decode(result.data))
							result.data=JSON.parse(decryptData)
						}
						succ.call(self, result.data)
					},
					fail: function(e) {
						error.call(self, e)
					}
				})
			})
		}
	},
	getT: function(url, data, header) {
		if(ifShangxian==1){
			if(data){
				var arr =Object.entries(data)//对象转为数组
				var b=[]
				arr.forEach((element, index) => {  
					arr[index][1] = urlSafeBase64Encode(encrypt(element[1].toString()))
				}); 
				b=arr
				data=Object.fromEntries(b)
			}else{
			}
		}
		header = header || "application/x-www-form-urlencoded";
		url = this.config("APIHOST1") + url;
		let token = uni.getStorageSync("shopToken");
		if (token) {
			return new Promise((succ, error) => {
				uni.request({
					url: url,
					data: data,
					method: "GET",
					header: {
						"content-type": header,
						"token": token
					},
					success: function(result) {
						if(ifShangxian==1){
							const decryptData =decrypt(urlSafeBase64Decode(result.data))
							result.data=JSON.parse(decryptData)
						}
						if (result.data.code == 401 && token) {
							uni.removeStorageSync("token")
							uni.removeStorageSync("userId")
							uni.removeStorageSync("phone")
							uni.removeStorageSync("openid")
							uni.removeStorageSync("userName")
							uni.removeStorageSync("relation")
							uni.removeStorageSync("relation_id")
							uni.removeStorageSync("isInvitation")
							uni.removeStorageSync("zhiFuBao")
							uni.removeStorageSync("zhiFuBaoName")

							uni.showModal({
								title: '提示',
								content: '用户信息失效，请重新登录！',
								showCancel: false, // 是否显示取消按钮，默认为 true
								success: function(res) {
									if (res.confirm) {
										uni.redirectTo({
											url: '/pages/my/loginphone'
										})
									}
								}
							});
						}
						succ.call(self, result.data)
					},
					fail: function(e) {
						error.call(self, e)
					}
				})
			})
		} else {
			return new Promise((succ, error) => {
				uni.request({
					url: url,
					data: data,
					method: "GET",
					header: {
						"content-type": header
					},
					success: function(result) {
						if(ifShangxian==1){
							const decryptData =decrypt(urlSafeBase64Decode(result.data))
							result.data=JSON.parse(decryptData)
						}
						succ.call(self, result.data)
					},
					fail: function(e) {
						error.call(self, e)
					}
				})
			})
		}
	},
	get: function(url, data, header) {
		if(ifShangxian==1){
			if(data){
				// console.log(data)
				var arr =Object.entries(data)//对象转为数组
				var b=[]
				arr.forEach((element, index) => {
					// console.log(arr[index][1],element[1],"p")
					arr[index][1] = urlSafeBase64Encode(encrypt(element[1].toString()))
				}); 
				b=arr
				data=Object.fromEntries(b)
				// console.log("解密：",b,data)
			}else{
			}
		}
		
		header = header || "application/x-www-form-urlencoded";
		url = this.config("APIHOST") + url;
		let token = uni.getStorageSync("shopToken");
		return new Promise((succ, error) => {
			uni.request({
				url: url,
				data: data,
				method: "GET",
				header: {
					"content-type": header,
					"token": token
				},
				success: function(result) {
					if(ifShangxian==1){
						// console.log(result.data+'ppo')
						const decryptData =decrypt(urlSafeBase64Decode(result.data))
						result.data=JSON.parse(decryptData)
						// const aac="CJd_exM-7HE6UXeV5Ai_gzavMNsUHJLlvQKWNYgNFszSC-Ahieu4OCoM2bqcGCUM"
						// console.log('解密：'+decrypt(urlSafeBase64Decode(aac))+'--------')
					}
					
					if (result.data.code == 401 && token) {
						uni.removeStorageSync("token")
						uni.removeStorageSync("userId")
						uni.removeStorageSync("phone")
						uni.removeStorageSync("openid")
						uni.removeStorageSync("userName")
						uni.removeStorageSync("relation")
						uni.removeStorageSync("relation_id")
						uni.removeStorageSync("isInvitation")
						uni.removeStorageSync("zhiFuBao")
						uni.removeStorageSync("zhiFuBaoName")

						uni.showModal({
							title: '提示',
							content: '用户信息失效，请重新登录！',
							showCancel: false, // 是否显示取消按钮，默认为 true
							success: function(res) {
								if (res.confirm) {
									uni.redirectTo({
										url: '/pages/my/loginphone'
									})
								}
							}
						});
					}
					succ.call(self, result.data)
				},
				fail: function(e) {
					error.call(self, e)
				}
			})
		})
	},
	//暂无
	getMsg: function(url, data, header) {
		header = header || "application/x-www-form-urlencoded";
		url = this.config("APIHOST2") + url;
		let token = uni.getStorageSync("shopToken");
		return new Promise((succ, error) => {
			uni.request({
				url: url,
				data: data,
				method: "GET",
				header: {
					"content-type": header,
					"token": token
				},
				success: function(result) {
					if (result.data.code == 401 && token) {
						uni.removeStorageSync("token")
						uni.removeStorageSync("userId")
						uni.removeStorageSync("phone")
						uni.removeStorageSync("openid")
						uni.removeStorageSync("userName")
						uni.removeStorageSync("relation")
						uni.removeStorageSync("relation_id")
						uni.removeStorageSync("isInvitation")
						uni.removeStorageSync("zhiFuBao")
						uni.removeStorageSync("zhiFuBaoName")

						uni.showModal({
							title: '提示',
							content: '用户信息失效，请重新登录！',
							showCancel: false, // 是否显示取消按钮，默认为 true
							success: function(res) {
								if (res.confirm) {
									uni.redirectTo({
										url: '/pages/my/loginphone'
									})
								}
							}
						});
					}
					succ.call(self, result.data)
				},
				fail: function(e) {
					error.call(self, e)
				}
			})
		})
	},

	// 家政  暂无
	getJ: function(url, data, header) {
		header = header || "application/x-www-form-urlencoded";
		url = this.config("APIHOSTJ") + url;
		let token = uni.getStorageSync("shopToken");
		return new Promise((succ, error) => {
			uni.request({
				url: url,
				data: data,
				method: "GET",
				header: {
					"content-type": header,
					"token": token
				},
				success: function(result) {
					succ.call(self, result.data)
				},
				fail: function(e) {
					error.call(self, e)
				}
			})
		})
	},

	// 商户接口
	getA: function(url, data, header) {
		if(ifShangxian==1){
			if(data){
				// console.log(data)
				var arr =Object.entries(data)//对象转为数组
				// console.log(arr.length)
				var b=[]
				arr.forEach((element, index) => {
					// console.log(arr[index][1],element[1],"p")
					arr[index][1] = urlSafeBase64Encode(encrypt(element[1].toString()))
				}); 
				b=arr
				data=Object.fromEntries(b)//数值还原
				// console.log("解密：",b,data)
			}else{
			}
		}
		
		header = header || "application/x-www-form-urlencoded";
		url = this.config("APIHOSTA") + url;
		let token = uni.getStorageSync("shopToken");
		// let token =uni.getStorageSync("shopToken")?uni.getStorageSync("shopToken"):'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzUxMiJ9.eyJzdWIiOiIxMzMwIiwiaWF0IjoxNjQzMTAyNTcyLCJleHAiOjE2NDU2OTQ1NzJ9.UJhS7Nmj495d-CfCNm9VTenuwxV0z4J8Vl9CAlftXt89zrmQtebXDLmS8f25l8He_dnTUxAfjlKVWSsyYnKs6A'

		return new Promise((succ, error) => {
			uni.request({
				url: url,
				data: data,
				method: "GET",
				header: {
					"content-type": header,
					"token": token
				},
				success: function(result) {
					// console.log(result,'ll')
					if(ifShangxian==1){
						// console.log(result.data+'ppo')
						const decryptData =decrypt(urlSafeBase64Decode(result.data))
						result.data=JSON.parse(decryptData)
						// console.log('解密：'+decryptData+'--------'+result.data.code)
					}
					
					if (result.data.code == 401 && token) {
						uni.removeStorageSync("shopToken")
						uni.removeStorageSync("token")
						uni.removeStorageSync("userId")
						uni.removeStorageSync("phone")
						uni.removeStorageSync("openid")
						uni.removeStorageSync("userName")
						uni.removeStorageSync("relation")
						uni.removeStorageSync("relation_id")
						uni.removeStorageSync("isInvitation")
						uni.removeStorageSync("zhiFuBao")
						uni.removeStorageSync("zhiFuBaoName")
						uni.showModal({
							title: '提示',
							content: '用户信息失效，请重新登录！',
							showCancel: false, // 是否显示取消按钮，默认为 true // 是否显示取消按钮，默认为 true
							success: function(res) {
								if (res.confirm) {
									uni.redirectTo({
										url: '/pages/my/loginphone'
									})
								}
							}
						});

					}
					succ.call(self, result.data)
				},
				fail: function(e) {
					error.call(self, e)
				}
			})
		})
	},
	postA: function(url, data, header) {
		if(ifShangxian==1){
			if(data){
				// console.log(data)
				var arr =Object.entries(data)//对象转为数组
				// console.log(arr.length)
				var b=[]
				arr.forEach((element, index) => {
					// console.log(arr[index][1],element[1],"p")
					arr[index][1] = urlSafeBase64Encode(encrypt(element[1].toString()))
				}); 
				b=arr
				data=Object.fromEntries(b)//数值还原
				// console.log("解密：",b,data)
			}else{
			}
		}
		header = header || "application/x-www-form-urlencoded";
		url = this.config("APIHOSTA") + url;
		let token = uni.getStorageSync("shopToken");
		return new Promise((succ, error) => {
			uni.request({
				url: url,
				data: data,
				method: "POST",
				header: {
					"content-type": header,
					"token": token
				},
				success: function(result) {
					if(ifShangxian==1){
						const decryptData =decrypt(urlSafeBase64Decode(result.data))
						result.data=JSON.parse(decryptData)
					}
					if (result.data.code == 401 && token) {
						uni.removeStorageSync("shopToken")
						uni.removeStorageSync("token")
						uni.removeStorageSync("userId")
						uni.removeStorageSync("phone")
						uni.removeStorageSync("openid")
						uni.removeStorageSync("userName")
						uni.removeStorageSync("relation")
						uni.removeStorageSync("relation_id")
						uni.removeStorageSync("isInvitation")
						uni.removeStorageSync("zhiFuBao")
						uni.removeStorageSync("zhiFuBaoName")
						uni.showModal({
							title: '提示',
							content: '用户信息失效，请重新登录！',
							showCancel: false, // 是否显示取消按钮，默认为 true // 是否显示取消按钮，默认为 true // 是否显示取消按钮，默认为 true
							success: function(res) {
								if (res.confirm) {
									uni.redirectTo({
										url: '/pages/my/loginphone'
									})
								}
							}
						});
					}
					succ.call(self, result.data)
				},
				fail: function(e) {
					error.call(self, e)
				}
			})
		})
	},
	postJsonA: function(url, data, header) {
		if(ifShangxian==1){
			if(data){
				var a=JSON.stringify(data)
				data='"' + urlSafeBase64Encode(encrypt(a)) + '"'
			}else{
			}
		}
		header = header || "application/json";
		url = this.config("APIHOSTA") + url;
		let token = uni.getStorageSync("shopToken");
		// let token =uni.getStorageSync("shopToken")?uni.getStorageSync("shopToken"):'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzUxMiJ9.eyJzdWIiOiIxMzMwIiwiaWF0IjoxNjQzMTAyNTcyLCJleHAiOjE2NDU2OTQ1NzJ9.UJhS7Nmj495d-CfCNm9VTenuwxV0z4J8Vl9CAlftXt89zrmQtebXDLmS8f25l8He_dnTUxAfjlKVWSsyYnKs6A'

		if (token) {
			return new Promise((succ, error) => {
				uni.request({
					url: url,
					data: data,
					method: "POST",
					header: {
						"content-type": header,
						"token": token
					},
					success: function(result) {
						if(ifShangxian==1){
							const decryptData =decrypt(urlSafeBase64Decode(result.data))
							result.data=JSON.parse(decryptData)
						}
						if (result.data.code == 401 && token) {
							uni.removeStorageSync("shopToken")
							uni.removeStorageSync("token")
							uni.removeStorageSync("userId")
							uni.removeStorageSync("phone")
							uni.removeStorageSync("openid")
							uni.removeStorageSync("userName")
							uni.removeStorageSync("relation")
							uni.removeStorageSync("relation_id")
							uni.removeStorageSync("isInvitation")
							uni.removeStorageSync("zhiFuBao")
							uni.removeStorageSync("zhiFuBaoName")
							uni.showModal({
								title: '提示',
								content: '用户信息失效，请重新登录！',
								showCancel: false, // 是否显示取消按钮，默认为 true // 是否显示取消按钮，默认为 true // 是否显示取消按钮，默认为 true
								success: function(res) {
									if (res.confirm) {
										uni.redirectTo({
											url: '/pages/my/loginphone'
										})
									}
								}
							});
						}
						succ.call(self, result.data)
					},
					fail: function(e) {
						error.call(self, e)
					}
				})
			})
		} else {
			return new Promise((succ, error) => {
				uni.request({
					url: url,
					data: data,
					method: "POST",
					header: {
						"content-type": header,
					},
					success: function(result) {
						if(ifShangxian==1){
							const decryptData =decrypt(urlSafeBase64Decode(result.data))
							result.data=JSON.parse(decryptData)
						}
						succ.call(self, result.data)
					},
					fail: function(e) {
						error.call(self, e)
					}
				})
			})
		}
	},
	//两种传参
	postJsonBB: function(url, data2,data, header) {
		if(ifShangxian==1){
			if(data){
				// console.log(data,'pooi')
				var a=JSON.stringify(data)
				data='"' + urlSafeBase64Encode(encrypt(a)) + '"'
			}else{
			}
			if(data2){
				// console.log(data)
				var arr =Object.entries(data2)//对象转为数组
				// console.log(arr.length)
				var b=[]
				arr.forEach((element, index) => {
					// console.log(arr[index][1],element[1],"p")
					arr[index][1] = urlSafeBase64Encode(encrypt(element[1].toString()))
				}); 
				b=arr
				data2=Object.fromEntries(b)//数值还原
				// console.log("解密：",data2)
			}else{
			}
		}
		header = header || "application/json";
		url = this.config("APIHOSTA") + url;
		let token = uni.getStorageSync("shopToken");
		// let token =uni.getStorageSync("shopToken")?uni.getStorageSync("shopToken"):'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzUxMiJ9.eyJzdWIiOiIxMzMwIiwiaWF0IjoxNjQzMTAyNTcyLCJleHAiOjE2NDU2OTQ1NzJ9.UJhS7Nmj495d-CfCNm9VTenuwxV0z4J8Vl9CAlftXt89zrmQtebXDLmS8f25l8He_dnTUxAfjlKVWSsyYnKs6A'
	
		if (token) {
			return new Promise((succ, error) => {
				uni.request({
					url: url,
					data: data,
					method: "POST",
					header: {
						"content-type": header,
						"token": token
					},
					success: function(result) {
						if(ifShangxian==1){
							const decryptData =decrypt(urlSafeBase64Decode(result.data))
							result.data=JSON.parse(decryptData)
						}
						if (result.data.code == 401 && token) {
							uni.removeStorageSync("shopToken")
							uni.removeStorageSync("token")
							uni.removeStorageSync("userId")
							uni.removeStorageSync("phone")
							uni.removeStorageSync("openid")
							uni.removeStorageSync("userName")
							uni.removeStorageSync("relation")
							uni.removeStorageSync("relation_id")
							uni.removeStorageSync("isInvitation")
							uni.removeStorageSync("zhiFuBao")
							uni.removeStorageSync("zhiFuBaoName")
							uni.showModal({
								title: '提示',
								content: '用户信息失效，请重新登录！',
								showCancel: false, // 是否显示取消按钮，默认为 true // 是否显示取消按钮，默认为 true // 是否显示取消按钮，默认为 true
								success: function(res) {
									if (res.confirm) {
										uni.redirectTo({
											url: '/pages/my/loginphone'
										})
									}
								}
							});
						}
						succ.call(self, result.data)
					},
					fail: function(e) {
						error.call(self, e)
					}
				})
			})
		} else {
			return new Promise((succ, error) => {
				uni.request({
					url: url,
					data: data,
					method: "POST",
					header: {
						"content-type": header,
					},
					success: function(result) {
						if(ifShangxian==1){
							const decryptData =decrypt(urlSafeBase64Decode(result.data))
							result.data=JSON.parse(decryptData)
						}
						succ.call(self, result.data)
					},
					fail: function(e) {
						error.call(self, e)
					}
				})
			})
		}
	},
}
